Skip to main content

Accounts

Accounts are passive entities that store quota information for resources consumed by associated profiles. An account is created for a user when they first sign up.


Objects

Account

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe account ID
createdstringISO 8601 timestampThe instant at which the account was created
lastModifiedstringISO 8601 timestampThe instant at which the account was last modified
companystringThe name of the company associated with the account
ownerEmailstringEmail addressThe email address of the owner profile
ownerProfileIdstringThe ID of the owner profile
maxWorkspacesnumberUnsigned integerThe maximum number of workspaces that can be created under the account
maxRowsnumberUnsigned integerThe maximum number of managed database rows available to the account
minutesPerMonthnumberUnsigned integerThe number of pipeline run minutes available to the account per month
minutesUsednumberUnsigned integerThe number of pipeline run minutes used by the account per month
maxClientsnumberUnsigned integerThe number of API key clients available to the account

Requests

View all accounts

GET /api/accounts

Returns all accounts the authenticated user profile is an owner of.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts' -i -X GET

Response

200 OK

Account collection with HAL links.

{
"_embedded" : {
"accounts" : [ {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"created" : "2026-06-04T20:13:47.521618",
"lastModified" : "2026-06-04T22:35:52.391032",
"company" : "Test Company",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 20,
"maxRows" : 100000,
"minutesPerMonth" : 300,
"minutesUsed" : 133,
"maxClients" : 5,
"_embedded" : {
"profiles" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/auth0%7C6a21dc7aa1db2e036a222942"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/admins"
}
}
}, {
"id" : "rzroo-ihgsd",
"created" : "2026-07-14T09:05:47.97012",
"lastModified" : "2026-07-14T09:05:47.970147",
"company" : "Test Company",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/rzroo-ihgsd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/rzroo-ihgsd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/rzroo-ihgsd/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/rzroo-ihgsd/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/rzroo-ihgsd"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/rzroo-ihgsd"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/rzroo-ihgsd/admins"
}
}
}, {
"id" : "hqszm-pmixm",
"created" : "2026-07-14T09:26:39.662673",
"lastModified" : "2026-07-14T09:26:40.253011",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/hqszm-pmixm/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/hqszm-pmixm/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/hqszm-pmixm/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/hqszm-pmixm/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/hqszm-pmixm"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/hqszm-pmixm"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/hqszm-pmixm/admins"
}
}
}, {
"id" : "cbone-tcgiv",
"created" : "2026-07-14T09:29:41.337297",
"lastModified" : "2026-07-14T09:29:41.878119",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/cbone-tcgiv/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/cbone-tcgiv/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/cbone-tcgiv/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/cbone-tcgiv/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/cbone-tcgiv"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/cbone-tcgiv"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/cbone-tcgiv/admins"
}
}
}, {
"id" : "umawn-ibrmf",
"created" : "2026-07-14T09:44:57.733617",
"lastModified" : "2026-07-14T09:45:00.974796",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/umawn-ibrmf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/umawn-ibrmf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/umawn-ibrmf/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/umawn-ibrmf/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/umawn-ibrmf"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/umawn-ibrmf"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/umawn-ibrmf/admins"
}
}
}, {
"id" : "bxcfs-phzxp",
"created" : "2026-07-14T16:01:18.203425",
"lastModified" : "2026-07-14T16:01:19.058893",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/bxcfs-phzxp/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/bxcfs-phzxp/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/bxcfs-phzxp/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/bxcfs-phzxp/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/bxcfs-phzxp"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/bxcfs-phzxp"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/bxcfs-phzxp/admins"
}
}
}, {
"id" : "ktnlz-wxtqn",
"created" : "2026-07-14T16:03:36.814578",
"lastModified" : "2026-07-14T16:03:37.653477",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/ktnlz-wxtqn/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/ktnlz-wxtqn/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/ktnlz-wxtqn/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/ktnlz-wxtqn/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/ktnlz-wxtqn"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/ktnlz-wxtqn"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/ktnlz-wxtqn/admins"
}
}
}, {
"id" : "wdjyo-fguqa",
"created" : "2026-07-14T16:04:03.774138",
"lastModified" : "2026-07-14T16:04:04.663438",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/wdjyo-fguqa/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/wdjyo-fguqa/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/wdjyo-fguqa/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/wdjyo-fguqa/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/wdjyo-fguqa"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/wdjyo-fguqa"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/wdjyo-fguqa/admins"
}
}
}, {
"id" : "moqbs-twtbg",
"created" : "2026-07-14T16:04:39.345556",
"lastModified" : "2026-07-14T16:04:40.216502",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/moqbs-twtbg/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/moqbs-twtbg/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/moqbs-twtbg/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/moqbs-twtbg/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/moqbs-twtbg"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/moqbs-twtbg"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/moqbs-twtbg/admins"
}
}
}, {
"id" : "wpava-duxrc",
"created" : "2026-07-14T16:34:52.104333",
"lastModified" : "2026-07-14T16:34:52.924832",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/wpava-duxrc/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/wpava-duxrc/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/wpava-duxrc/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/wpava-duxrc/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/wpava-duxrc"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/wpava-duxrc"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/wpava-duxrc/admins"
}
}
}, {
"id" : "kevqa-njqiu",
"created" : "2026-07-14T16:35:15.466371",
"lastModified" : "2026-07-14T16:35:16.283659",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/kevqa-njqiu/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/kevqa-njqiu/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/kevqa-njqiu/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/kevqa-njqiu/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/kevqa-njqiu"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/kevqa-njqiu"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/kevqa-njqiu/admins"
}
}
}, {
"id" : "migpz-obbvf",
"created" : "2026-07-15T11:31:56.922596",
"lastModified" : "2026-07-15T11:31:56.922602",
"company" : "Test Company",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/migpz-obbvf"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 12,
"totalPages" : 1,
"number" : 0
}
}

View an account

GET /api/accounts/{account-id}

Returns the account {account-id}.

Prerequisites

  • Account {account-id} must exist
  • The authenticated user profile must be an owner of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/migpz-obbvf' -i -X GET

Response

200 OK

Account with HAL links.

{
"id" : "migpz-obbvf",
"created" : "2026-07-15T11:31:56.922596",
"lastModified" : "2026-07-15T11:31:56.922602",
"company" : "Test Company",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/migpz-obbvf"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins"
}
}
}

Initialise a new account

POST /api/accounts/new

Initialises a new account.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/new' -i -X POST \
-H 'Content-Type: application/json'

Response

200 OK

Account with HAL links.

{
"id" : "migpz-obbvf",
"created" : "2026-07-15T11:31:56.763189744",
"lastModified" : "2026-07-15T11:31:56.763190247",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 1,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
},
"create account" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
}
}
}

Create an account

PUT /api/accounts/{account-id}

Creates the account {account-id}.

Prerequisites

  • The ownerEmail must match the authenticated user profile's email address

Body

Account resource.

{
"company" : "Test Company",
"ownerEmail" : "sit+prod+2@meltano.com"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/migpz-obbvf' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"company" : "Test Company",
"ownerEmail" : "sit+prod+2@meltano.com"
}'

Response

201 Created

Account with HAL links.

{
"id" : "migpz-obbvf",
"created" : "2026-07-15T11:31:56.92259567",
"lastModified" : "2026-07-15T11:31:56.922601852",
"company" : "Test Company",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167/working-account/migpz-obbvf"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins"
}
}
}

Update an account

PUT /api/accounts/{account-id}

Updates the account {account-id}.

Prerequisites

  • Account {account-id} must exist
  • The authenticated user profile must be an owner of the account {account-id}

Body

Account resource.

{
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"maxClients" : 0
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/migpz-obbvf' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"maxClients" : 0
}'

Response

200 OK

Account with HAL links.

{
"id" : "migpz-obbvf",
"created" : "2026-07-15T11:31:56.922596",
"lastModified" : "2026-07-15T11:31:57.654344516",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/migpz-obbvf"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins"
}
}
}

View all account admins

GET /api/accounts/{account-id}/admins

Returns all admins of the account {account-id}.

Prerequisites

  • The authenticated user profile must be an owner of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/migpz-obbvf/admins' -i -X GET

Response

200 OK

Profile collection with HAL links.

{
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
}
}

Add an account admin

PUT /api/accounts/{account-id}/admins/{profile-id}

Adds the profile {profile-id} as an admin of the account {account-id}.

Prerequisites

  • The authenticated user profile must be an owner of the account {account-id}
  • Profile {profile-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167' -i -X PUT \
-H 'Content-Type: application/json'

Response

200 OK

Account with HAL links.

{
"id" : "migpz-obbvf",
"created" : "2026-07-15T11:31:56.922596",
"lastModified" : "2026-07-15T11:31:57.654345",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/migpz-obbvf"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins"
}
}
}

Remove an account admin

DELETE /api/accounts/{account-id}/admins/{profile-id}

Removes the profile {profile-id} as an admin of the account {account-id}.

Prerequisites

  • The authenticated user profile must be an owner of the account {account-id}
  • Profile {profile-id} must be an admin of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167' -i -X DELETE

Response

204 No Content

No response body provided.


Set an account owner

PUT /api/accounts/{account-id}/owner/{profile-id}

Sets the profile {profile-id} as the primary owner of the account {account-id}.

Prerequisites

  • The authenticated user profile must be an owner of the account {account-id}
  • Profile {profile-id} must be an admin of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167' -i -X PUT \
-H 'Content-Type: application/json'

Response

200 OK

Account with HAL links.

{
"id" : "migpz-obbvf",
"created" : "2026-07-15T11:31:56.922596",
"lastModified" : "2026-07-15T11:31:57.654345",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+21",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "migpz-obbvf"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"new workspace" : {
"href" : "https://app.matatika.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"remove account admin" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf"
},
"set working account" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/migpz-obbvf"
},
"admins" : {
"href" : "https://app.matatika.com/api/accounts/migpz-obbvf/admins"
}
}
}

Transfer a workspace

PUT /api/accounts/{account-id}/workspaces/{workspace-id}/transfer

Transfers the workspace {workspace-id} to the account {account-id}.

Prerequisites

  • The user must be the owner of the account {account-id}

Response

200 OK

Workspace with HAL links.

{
"id" : "95c06a2d-afca-4e11-8e94-568c2de49a31",
"created" : "2026-07-15T11:31:49.446113",
"lastModified" : "2026-07-15T11:31:49.446113",
"alias" : "xlzalck",
"name" : "Test Workspace [2026-07-15T11:31:49.444193099]",
"domains" : [ ],
"repositoryUrl" : "DISABLED",
"deploymentSecret" : "olhuyuqshxxmwxkvkidrwnjzjifnzg",
"appProperties" : { },
"status" : "READY",
"managed" : true,
"settings" : [ ],
"_embedded" : {
"default datastore" : {
"id" : "3de46020-9b21-4dcc-b984-7bf5dd65f14a",
"created" : "2026-07-15T11:31:49.750394",
"lastModified" : "2026-07-15T11:31:49.750394",
"name" : "Warehouse",
"properties" : {
"password" : "8njFlHD3_YHx5c8DV_Y2I0ktBn",
"dbname" : "wjapeeh",
"default_target_schema" : "analytics",
"port" : "5432",
"host" : "sharp-banana2.postgres.database.azure.com",
"user" : "wjapeeh"
},
"commands" : { },
"dataPlugin" : "loaders/target-postgres--matatika",
"dataPluginType" : "loader",
"dataPluginLogoUrl" : "/assets/logos/loaders/postgres.png",
"logoUrl" : "/assets/logos/loaders/postgres.png",
"workspace" : "95c06a2d-afca-4e11-8e94-568c2de49a31",
"jdbcUrl" : "jdbc:postgresql://sharp-banana2.postgres.database.azure.com:5432/wjapeeh",
"managed" : true,
"draft" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datastores/3de46020-9b21-4dcc-b984-7bf5dd65f14a"
},
"dataplugin" : {
"href" : "https://app.matatika.com/api/dataplugins/6335dd26-0442-4fdd-a6f8-ddd320ed8e6d"
}
}
},
"state datastore" : {
"id" : "3de46020-9b21-4dcc-b984-7bf5dd65f14a",
"created" : "2026-07-15T11:31:49.750394",
"lastModified" : "2026-07-15T11:31:49.750394",
"name" : "Warehouse",
"properties" : {
"password" : "8njFlHD3_YHx5c8DV_Y2I0ktBn",
"dbname" : "wjapeeh",
"default_target_schema" : "analytics",
"port" : "5432",
"host" : "sharp-banana2.postgres.database.azure.com",
"user" : "wjapeeh"
},
"commands" : { },
"dataPlugin" : "loaders/target-postgres--matatika",
"dataPluginType" : "loader",
"dataPluginLogoUrl" : "/assets/logos/loaders/postgres.png",
"logoUrl" : "/assets/logos/loaders/postgres.png",
"workspace" : "95c06a2d-afca-4e11-8e94-568c2de49a31",
"jdbcUrl" : "jdbc:postgresql://sharp-banana2.postgres.database.azure.com:5432/wjapeeh",
"managed" : true,
"draft" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datastores/3de46020-9b21-4dcc-b984-7bf5dd65f14a"
},
"dataplugin" : {
"href" : "https://app.matatika.com/api/dataplugins/6335dd26-0442-4fdd-a6f8-ddd320ed8e6d"
}
}
}
},
"defaultWorkspace" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31"
},
"update delete workspace" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31"
},
"administrators" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/administrators"
},
"transfer" : {
"href" : "https://app.matatika.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/transfer"
},
"make-default" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/default"
},
"members" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/members"
},
"news" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/news"
},
"newsTags" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/news/tags"
},
"invitations" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/invitations"
},
"create invitation" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/invitations"
},
"datasets" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/datasets"
},
"publish dataset" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/datasets"
},
"liked-datasets" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/liked"
},
"channels" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/channels"
},
"tags" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/tags"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/search"
},
"feed" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/feed"
},
"msearch" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/datasets/_msearch"
},
"questions" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/questions"
},
"discovery.yml" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/discovery.yml"
},
"dataplugins" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/dataplugins"
},
"availabledataplugins" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/availabledataplugins"
},
"datacomponents" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/datacomponents"
},
"datastores" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/datastores"
},
"default datastore" : {
"href" : "https://app.matatika.com/api/datastores/3de46020-9b21-4dcc-b984-7bf5dd65f14a"
},
"pipelines" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/pipelines"
},
"jobs" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/jobs"
},
"new dataplugin" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/dataplugins"
},
"publish discovery.yml" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/discovery"
},
"new datacomponent" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/datacomponents"
},
"new datastore" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/datastores"
},
"new pipeline" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/pipelines"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/subscriptions"
},
"notifications" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/notifications"
},
"create deployment" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/deployments"
},
"resources" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/resources"
},
"publish resources" : {
"href" : "https://app.matatika.com/api/workspaces/95c06a2d-afca-4e11-8e94-568c2de49a31/resources"
}
}
}

See Also